Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcHttpTransportException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.xmlrpc.XmlRpcException
                  org.apache.xmlrpc.client.XmlRpcHttpTransportException

All Implemented Interfaces:
  java.io.Serializable

    public class XmlRpcHttpTransportException

extends XmlRpcException

Exception thrown if the HTTP status code sent by the server indicates that the request could not be processed. In general, the 400 and 500 level HTTP status codes will result in an XmlRpcHttpTransportException being thrown.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.xmlrpc.XmlRpcException
`code, linkedException`

Constructor Summary
`XmlRpcHttpTransportException(int pCode, java.lang.String pMessage)` Creates a new instance with the specified HTTP status code and HTTP status message.
`XmlRpcHttpTransportException(int httpStatusCode, java.lang.String httpStatusMessage, java.lang.String message)` Construct a new XmlRpcHttpTransportException with the specified HTTP status code, HTTP status message, and exception message.

Method Summary
`int` | `getStatusCode()` Get the HTTP status code that resulted in this exception.
`java.lang.String` | `getStatusMessage()` Get the status message returned by the HTTP server.

Methods inherited from class org.apache.xmlrpc.XmlRpcException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlRpcHttpTransportException

    public XmlRpcHttpTransportException(int pCode,
                                        java.lang.String pMessage)

  Creates a new instance with the specified HTTP status code and HTTP status message.

  Parameters:
    `pCode` - The HTTP status code
    `pMessage` - The HTTP status message returned by the HTTP server

### XmlRpcHttpTransportException

    public XmlRpcHttpTransportException(int httpStatusCode,
                                        java.lang.String httpStatusMessage,
                                        java.lang.String message)

  Construct a new XmlRpcHttpTransportException with the specified HTTP status code, HTTP status message, and exception message.

  Parameters:
    `httpStatusCode` - the HTTP status code
    `httpStatusMessage` - the HTTP status message returned by the HTTP server
    `message` - the exception message.

Method Detail

### getStatusCode

    public int getStatusCode()

  Get the HTTP status code that resulted in this exception.

  Returns:
    the HTTP status code that resulted in this exception.

### getStatusMessage

    public java.lang.String getStatusMessage()

  Get the status message returned by the HTTP server.

  Returns:
    the status message returned by the HTTP server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.